package ru.yandex.webmaster3.core.util.json.polymorphic;

/**
 * @author avhaliullin
 */
public interface Discriminator<P extends Polymorphic<? extends Discriminator<P>>> {

    Class<? extends P> getDataClass();

    default String getDiscriminatorId() {
        return toString().toLowerCase();
    }
}
